This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 435873 - Why is kdebase3 a (Build)Require?
Why is kdebase3 a (Build)Require?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: konversation (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks: KDE4Live
  Show dependency treegraph
 
Reported: 2008-03-04 03:03 EST by Sebastian Vahl
Modified: 2008-03-12 02:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 08:41:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2008-03-04 03:03:16 EST
Description of problem:
kdebase3 is defined as a BuildRequire and a Require in konversation.spec. Is 
there a reason for this? It also builds fine without it an I don't see a 
direct require on kdebase3 or kdebase3-libs in %configure output 
or "rpm -q --requires konversation".


Version-Release number of selected component (if applicable):
konversation-1.0.1-4.fc9


Additional info:
konversation is the only application on the current rawhide live images that 
requires kdebase3 (and kdebase3-libs). If it's not needed we have some free 
space for other packages.
Comment 1 Dennis Gilmore 2008-03-04 03:15:08 EST
The BuildRequires only needs to be kdelibs3-devel  however the requires is
there so that help works.  it ensures khelpcenter is installed
Comment 2 Rex Dieter 2008-03-04 07:52:06 EST
Re: khelpcenter, see also bug #435133
Comment 3 Rex Dieter 2008-03-10 08:41:38 EDT
OK, the approach we're going to try taking (the same as gnome does) for online 
help/documentation browser, in that it will *not* a hard dependency.

In the meantime, we'll explore the option of splitting khelpcenter out (of 
kdebase, kdebase-runtime respectively).

%changelog
* Mon Mar 10 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.0.1-5
- drop Requires: kdebase3 (#435873)
Comment 4 Kevin Kofler 2008-03-12 02:56:36 EDT
FYI, khelpcenter is now fully provided by kdebase-runtime, including the KDE 3 
service .desktop for KDE 3 apps.

Note You need to log in before you can comment on or make changes to this bug.